Page MenuHome

Windows installer shows incorrect EULA
Closed, ResolvedPublic

Description

System Information
Windows 10

Blender Version
2.79b

Short description of error
AFAIK, Blender officially released is under GPL3, but the installer for win32 shows GPL2.

Exact steps for others to reproduce the error

  1. Download blender-2.79b-windows64.msi from blender.org
  2. Execute the downloaded installer

Event Timeline

This comment was removed by Robert Guetzkow (rjg).

@Robert Guetzkow (rjg)
The major part of the "source code" is under GPL2+, but Cycles is Apache2.0 that's incompatible with GPL2.
Consequently, the Blender "binary" built with Cycles becomes GPL3+ automatically.
COPYING file is not included in the binary distribution.

See license details.

I can change it into whatever, but i'm gonna need some guidance from @Ton Roosendaal (ton) what he wants

Aaron Carlisle (Blendify) triaged this task as Confirmed, Medium priority.

It is actually correct to be GPL3, from https://www.blender.org/about/license/

All the components that together make Blender are compatible under the newer GNU GPL Version 3. That is also the license to use for any distribution of Blender binaries.

That may well be, but i'm not gonna change a legal text on my own without explicit instructions to do so.

Robert Guetzkow (rjg) added a comment.EditedNov 2 2018, 3:25 PM

@Aaron Carlisle (Blendify) @Shinsuke Irie (irie) You're right, my bad. Caught the nerd-flu at the blender conference and am currently a bit of a slowpoke.

@LazyDodo (LazyDodo), as a representative of the BF/BI, I agree this license can be changed to GPL v3.